Skip site navigation (1) Skip section navigation (2)

Compiling under HP-UX 10.20

From: Richard Eames <Richard(dot)Eames(at)flinders(dot)edu(dot)au>
To: pgsql-admin(at)postgresql(dot)org
Subject: Compiling under HP-UX 10.20
Date: 1998-10-12 05:21:28
Message-ID: 3.0.3.32.19981012142128.00e4f100@es.flinders.edu.au (view raw or flat)
Thread:
Lists: pgsql-admin
I've used postgres under various operating systems without any problems...
But now I'm trying to get postgresql6.3.2 to compile under HPUX 10.20 using
the HP compiler.

I'm using ./configure --prefix=/opt/apps/pkgs/postgres
--with-template=hpux-cc and I get the following problem

/opt/local/links/bin/yacc -d gram.y
"gram.y", line 4627: fatal error: too many production rules, try -Np option
gmake[2]: *** [parse.h] Error 1
gmake[2]: Leaving directory
`/a/tiberias/home1/reames/postgresql-6.3.2/src/backend/parser'

I've tried adding -Np to the yacc line, but then I get another error, which
I fix and so on and on. Any ideas anyone ? 

pgsql-admin by date

Next:From: GDate: 1998-10-12 16:01:32
Subject: Manual
Previous:From: Jan WieckDate: 1998-10-09 11:41:09
Subject: Re: [ADMIN] 'C' function (spi?) for datetime UPDATE trigger - HOW?

Privacy Policy | About PostgreSQL
Copyright © 1996-2014 The PostgreSQL Global Development Group